# org.pdfclown.util.BiDictionary< TKey, TValue > Class Template Reference

Bidirectional bijective map. More...

List of all members.

## Public Member Functions
void | Add (TKey key, TValue value)
| BiDictionary (IDictionary< TKey, TValue > dictionary)
| BiDictionary (int capacity)
| BiDictionary ()
void | Clear ()
bool | ContainsKey (TKey key)
bool | ContainsValue (TValue value)
void | CopyTo (KeyValuePair< TKey, TValue >[] keyValuePairs, int index)
virtual TKey | GetKey (TValue value)
bool | Remove (KeyValuePair< TKey, TValue > keyValuePair)
bool | Remove (TKey key)
bool | TryGetValue (TKey key, out TValue value)
## Properties
virtual int | Count`[get]`
bool | IsReadOnly`[get]`
ICollection< TKey > | Keys`[get]`
virtual TValue | this [TKey key]`[get, set]`
ICollection< TValue > | Values`[get]`

##

### template<TKey, TValue>
class org::pdfclown::util::BiDictionary< TKey, TValue >

Bidirectional bijective map.

## Constructor & Destructor Documentation

template<TKey , TValue >

org.pdfclown.util.BiDictionary< TKey, TValue >.BiDictionary | ( |  | ) |

template<TKey , TValue >

org.pdfclown.util.BiDictionary< TKey, TValue >.BiDictionary | ( | int | capacity | ) |

template<TKey , TValue >

org.pdfclown.util.BiDictionary< TKey, TValue >.BiDictionary | ( | IDictionary< TKey, TValue > | dictionary | ) |

## Member Function Documentation

template<TKey , TValue >

void org.pdfclown.util.BiDictionary< TKey, TValue >.Add | ( | TKey | key,
|  | TValue | value |
| ) |  |  |

template<TKey , TValue >

void org.pdfclown.util.BiDictionary< TKey, TValue >.Clear | ( |  | ) |

template<TKey , TValue >

bool org.pdfclown.util.BiDictionary< TKey, TValue >.ContainsKey | ( | TKey | key | ) |

template<TKey , TValue >

bool org.pdfclown.util.BiDictionary< TKey, TValue >.ContainsValue | ( | TValue | value | ) |

template<TKey , TValue >

void org.pdfclown.util.BiDictionary< TKey, TValue >.CopyTo | ( | KeyValuePair< TKey, TValue >[] | keyValuePairs,
|  | int | index |
| ) |  |  |

template<TKey , TValue >

virtual TKey org.pdfclown.util.BiDictionary< TKey, TValue >.GetKey | ( | TValue | value | ) | `[virtual]`

template<TKey , TValue >

bool org.pdfclown.util.BiDictionary< TKey, TValue >.Remove | ( | KeyValuePair< TKey, TValue > | keyValuePair | ) |

template<TKey , TValue >

bool org.pdfclown.util.BiDictionary< TKey, TValue >.Remove | ( | TKey | key | ) |

template<TKey , TValue >

bool org.pdfclown.util.BiDictionary< TKey, TValue >.TryGetValue | ( | TKey | key,
|  | out TValue | value |
| ) |  |  |

## Property Documentation

template<TKey , TValue >

virtual int org.pdfclown.util.BiDictionary< TKey, TValue >.Count`[get]`

template<TKey , TValue >

bool org.pdfclown.util.BiDictionary< TKey, TValue >.IsReadOnly`[get]`

template<TKey , TValue >

ICollection<TKey> org.pdfclown.util.BiDictionary< TKey, TValue >.Keys`[get]`

template<TKey , TValue >

virtual TValue org.pdfclown.util.BiDictionary< TKey, TValue >.this[TKey key]`[get, set]`

template<TKey , TValue >

ICollection<TValue> org.pdfclown.util.BiDictionary< TKey, TValue >.Values`[get]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.